Verified Commit ab92fa6a authored by Duncan Macleod's avatar Duncan Macleod
Browse files

remove ligo-common requirement for python3

Python 3 supports implicit namespace packages, meaning a base package for the `ligo` namespace is not required
parent cf8bd429
Pipeline #209527 passed with stages
in 98 minutes and 15 seconds
......@@ -21,7 +21,7 @@ Description: Gravitational-wave Candidate Event Database - Python
Package: python3-ligo-gracedb
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-ligo-common, python3-future, python3-setuptools, python3-cryptography, python3-requests
Depends: ${misc:Depends}, ${python3:Depends}, python3-future, python3-setuptools, python3-cryptography, python3-requests
Provides: ${python3:Provides}
Description: Gravitational-wave Candidate Event Database - Python 3
The gravitational-wave candidate event database (GraceDB) is a prototype
......
......@@ -59,7 +59,6 @@ client tool is provided to submit a candidate event to the database.
%package -n python%{python3_pkgversion}-%{name}
Summary: %{summary}
Requires: python%{python3_pkgversion}-six
Requires: python%{python3_pkgversion}-ligo-common
Requires: python%{python3_pkgversion}-future
Requires: python%{python3_pkgversion}-cryptography
Requires: python%{python3_pkgversion}-requests
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment